package api

import "git.sxidc.com/go-tools/api_binding/http_binding/binding_context"

type OperatorIDFunc func(c *binding_context.Context) (string, error)

type OperateParseRequest struct {
	SQL string `json:"sql" binding:"required"`
}

type OperateRequest struct {
	DatabaseID string   `json:"databaseId" binding:"required"`
	Version    string   `json:"version"`
	KeyColumns []string `json:"keyColumns"`
	SQL        string   `json:"sql" binding:"required"`
}
